title 正在检查网络连接情况
ping cloud.tencent.com
if %errorlevel%==1 goto nonet
title Edgeless服务器无响应
cls
echo.
echo.
echo.
echo                 下载失败，Edgeless服务器无响应
echo                   请联系作者解决此问题或稍后再试
echo.
echo        如果希望使用离线模式制作启动盘，请参考“帮助文件.txt”
echo.
echo.
if not exist core\Edgeless.iso (
    pause
    call main_exit.cmd
)
goto offline


:nonet
title 无法连接至互联网
cls
echo.
echo.
echo.
echo               下载失败，当前系统未接入互联网
echo.
echo     如果希望使用离线模式制作启动盘，请参考“帮助文件.txt”
echo.
echo.
echo.
if not exist core\version_iso.txt (
    pause
    call main_exit.cmd
)



:offline
set /p version_iso=<core\version_iso.txt
if not defined version_iso (
    pause
    call main_exit.cmd
)
echo       ===============================
echo       检测到离线镜像文件，是否使用？
echo       镜像版本：%version_iso%
echo       ===============================
echo.
echo.
echo          【1】是         【2】否
set /p cho=请输入序号并回车：
if %cho%==2 call main_exit.cmd
echo "%~dp0core\Edgeless.iso" >burn_target.txt
echo 1 >burn_check.txt
call main_burn.cmd
call main_exit.cmd